asn1_expand_any_defined_by(3)

NAME
asn1_expand_any_defined_by - Expand "ANY DEFINED BY" fields in structure.

SYNOPSIS
#include <libtasn1.h>

asn1_retCode asn1_expand_any_defined_by(ASN1_TYPE definitions, ASN1_TYPE * element);

ARGUMENTS

ASN1_TYPE definitions
    ASN1 definitions

ASN1_TYPE * element
    pointer to an ASN1 structure

DESCRIPTION
Expands every "ANY DEFINED BY" element of a structure created from a DER decoding process (asn1_der_decoding function). The element ANY must be defined by an OBJECT IDENTIFIER. The type used to expand the element ANY is the first one following the definition of the actual value of the OBJECT IDENTIFIER.

RETURNS

ASN1_SUCCESS
Substitution OK.

ASN1_ERROR_TYPE_ANY
Some "ANY DEFINED BY" element couldn't be expanded due to a problem in OBJECT_ID -> TYPE association.

other errors: Result of der decoding process.

COPYRIGHT
Copyright © 2006, 2007, 2008 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual.